Foreman - Bug #2385

Capybara 2.1.0 incompatible with Ruby 1.8
04/10/2013 04:34 AM - Dominic Cleal

Status: Closed

Priority: High

Assignee: Dominic Cleal

Category: Tests

Target version: 1.2.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

The new release of Capybara 2.1.0 is only compatible with Ruby 1.9.3+, so as long as we still support 1.8.7 and 1.9.2, we need to
restrict this to 2.0.3.

Related issues:
Related to Foreman - Tracker #4656: Drop Ruby 1.8 support Closed

Associated revisions

Revision 44b83201 - 04/10/2013 05:21 AM - Dominic Cleal
fixes #2385 - use Capybara 2.0.x for Ruby 1.8 compatibility

History

#1 - 04/10/2013 04:36 AM - Dominic Cleal

#2 - 04/10/2013 04:46 AM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/515

#3 - 04/10/2013 07:38 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 44b8320161db89d92d1b7b92c72aa3b1f97696¢f.

#4 - 03/13/2014 05:39 PM - Dominic Cleal
- Related to Tracker #4656: Drop Ruby 1.8 support added
http://ci.theforeman.org/job/test_develop/database=postgresql,puppet=3.0,ruby=1.8.7/61/console
https://github.com/theforeman/foreman/pull/515
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/44b8320161db89d92d1b7b92c72aa3b1f97696cf
